> ## Documentation Index
> Fetch the complete documentation index at: https://pingback.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Verificar Email

> Validação de endereços de e-mail e o retorno dos resultados da verificação.



## OpenAPI

````yaml POST /email-verification/{email}
openapi: 3.1.0
info:
  title: Pingback Connect API
  description: Public API v2 for managing contacts in Pingback Connect.
  version: 2.0.0
  license:
    name: MIT
servers:
  - url: https://connect.pingback.com/v2
security:
  - apiKeyAuth: []
tags:
  - name: Contacts
    description: >-
      Operations related to contact management, including creation, retrieval,
      update, deletion, and listing of contacts.
  - name: Deals
    description: >-
      Operations related to deals, including creation, update, retrieval,
      deletion, and listing of deals.
  - name: Segments
    description: >-
      Operations related to segmentation lists, including listing segments and
      associating or removing contacts from segments.
  - name: Notes
    description: Operations related to notes, including creation and listing notes.
  - name: Email Verification
    description: >-
      Operations related to email verification, including validating email
      addresses and returning verification results.
paths:
  /email-verification/{email}:
    post:
      tags:
        - Email Verification
      summary: Verify emails
      description: Validating email addresses and returning verification results.
      parameters:
        - $ref: '#/components/parameters/DeveloperMode'
        - $ref: '#/components/parameters/ApiKey'
        - $ref: '#/components/parameters/EmailPath'
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmailVerification'
            examples:
              create:
                value:
                  port: 25
                  fqdn: mail.example.org
                  sender: name@example.org
                  timeout: 10000
                  attempts: 3
      responses:
        '201':
          description: Email verified
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailVerificationResponse'
              examples:
                success:
                  value:
                    message: Email verified
                    data:
                      email: example@email.com
                      valid: true
                      message: Valid email (ignored SMTP verification
        '403':
          $ref: '#/components/responses/Forbidden'
        '422':
          description: Email is missing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                email_is_necessary:
                  summary: Email is missing
                  value:
                    error: Email is missing
                    requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                    errorCode: EMAIL_IS_NECESSARY
components:
  parameters:
    DeveloperMode:
      name: x-developer-mode
      in: header
      required: false
      schema:
        type: boolean
    ApiKey:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
    EmailPath:
      name: email
      in: path
      required: true
      schema:
        type: string
        format: email
  schemas:
    EmailVerification:
      type: object
      required: []
      properties:
        port:
          type: integer
          format: int32
        fqdn:
          type: string
        sender:
          type: string
          format: email
        timeout:
          type: integer
          format: int32
        attempts:
          type: integer
          format: int32
    EmailVerificationResponse:
      type: object
      properties:
        message:
          type: string
        data:
          type: object
          properties:
            message:
              type: string
            valid:
              type: boolean
            email:
              type: string
      required: []
    Error:
      type: object
      required: []
      properties:
        error:
          type: string
          description: Error description
        requestId:
          type: string
          description: Request ID
        errorCode:
          type: string
          description: Error code
  responses:
    Forbidden:
      description: Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            forbidden:
              summary: Access denied
              value:
                error: >-
                  User is not authorized to access this resource with an
                  explicit deny in an identity-based policy.
                requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                errorCode: FORBIDDEN
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````